Skip to content
OpenPostDocs
OpenPostDocs
Engagement

Read a stored comment and its known parent chain

GET/engagement/{item_id}

Authorization

AuthorizationBearer <token>

In: header

Path Parameters

item_id*string

Query Parameters

workspace_id*string

Response Body

application/json

application/problem+json

curl -X GET "https://example.com/engagement/string?workspace_id=string"
{  "$schema": "https://example.com/api/v1/schemas/EngagementDetail.json",  "item": {    "account_username": "string",    "archived_at": "2019-08-24T14:15:22Z",    "attachments": [      {        "alt_text": "string",        "mime_type": "string",        "name": "string",        "thumbnail": "string",        "type": "string",        "url": "string"      }    ],    "author_avatar_url": "string",    "author_handle": "string",    "author_name": "string",    "author_remote_id": "string",    "body": "string",    "can_delete": true,    "can_hide": true,    "can_like": true,    "can_reply": true,    "can_unlike": true,    "conversation_remote_id": "string",    "created_at": "2019-08-24T14:15:22Z",    "deleted_at": "2019-08-24T14:15:22Z",    "edited_at": "2019-08-24T14:15:22Z",    "hidden": true,    "id": "string",    "is_ours": true,    "last_seen_at": "2019-08-24T14:15:22Z",    "liked": true,    "parent_remote_id": "string",    "platform": "string",    "provider_post_url": "string",    "publication_excerpt": "string",    "publication_id": "string",    "publication_title": "string",    "read_at": "2019-08-24T14:15:22Z",    "remote_created_at": "2019-08-24T14:15:22Z",    "remote_id": "string",    "rendition_id": "string",    "social_account_id": "string",    "updated_at": "2019-08-24T14:15:22Z",    "workspace_id": "string"  },  "parents": [    {      "account_username": "string",      "archived_at": "2019-08-24T14:15:22Z",      "attachments": [        {          "alt_text": "string",          "mime_type": "string",          "name": "string",          "thumbnail": "string",          "type": "string",          "url": "string"        }      ],      "author_avatar_url": "string",      "author_handle": "string",      "author_name": "string",      "author_remote_id": "string",      "body": "string",      "can_delete": true,      "can_hide": true,      "can_like": true,      "can_reply": true,      "can_unlike": true,      "conversation_remote_id": "string",      "created_at": "2019-08-24T14:15:22Z",      "deleted_at": "2019-08-24T14:15:22Z",      "edited_at": "2019-08-24T14:15:22Z",      "hidden": true,      "id": "string",      "is_ours": true,      "last_seen_at": "2019-08-24T14:15:22Z",      "liked": true,      "parent_remote_id": "string",      "platform": "string",      "provider_post_url": "string",      "publication_excerpt": "string",      "publication_id": "string",      "publication_title": "string",      "read_at": "2019-08-24T14:15:22Z",      "remote_created_at": "2019-08-24T14:15:22Z",      "remote_id": "string",      "rendition_id": "string",      "social_account_id": "string",      "updated_at": "2019-08-24T14:15:22Z",      "workspace_id": "string"    }  ]}